Couldn't load easemob_jni

 E/AndroidRuntime(4259): java.lang.UnsatisfiedLinkError: Couldn't load easemob_jni from loader dalvik.system.PathClassLoader[DexPathList[[zip file "/data/app/com.baidao.ytxcrm-1.apk"],nativeLibraryDirectories=[/data/app-lib/com.baidao.ytxcrm-1, /vendor/lib, /system/lib]]]: findLibrary returned null

我把libeasemob_jni.so已经放到jni文件夹下了,为什么报这个错,哪位大神帮个忙解决这个问题呢
共1个回复

环信技术支持中心

2015-07-21 18:45

错误是说加载不到这个so文件,别用模拟器,用真机测试,把p这个libeasemob_jni.so拷贝到arm64-v8a的目录下,或者者把arm64-v8a这个目录删掉试一下。
点击此处继续提问与开发者们互动

申请试用

提交后工作人员会尽快与您联系进行功能演示
技术咨询已转移到管理后台,请先登录

即时通讯云使用者请在应用详情页面咨询
客服云使用者请进入管理员模式咨询

×

在线咨询

电话咨询

技术咨询

免费试用